Bug 348641 - mugshot hard-coded to firefox?
mugshot hard-coded to firefox?
Product: Fedora
Classification: Fedora
Component: mugshot (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-23 07:02 EDT by Sebastian Vahl
Modified: 2009-07-14 12:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:06:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-10-23 07:02:09 EDT
Description of problem:
Mugshot seems to be hardcoded to firefox to work.  If firefox isn't installed 
there's no way to login into mugshot. Instead an error message is shown:

Couldn't start your web browser!

Failed to execute child process
"firefox" (No such file or directory)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum remove firefox (or something like that to make sure firefox isn't 
2. yum install mugshot
3. run mugshot and try to login through the icon in systray
Actual results:
error message

Expected results:
login would work

Additional info:
I've never used mugshot before so I don't know if it only works well with 
firefox (and not eg. konqueror/opera/epiphany). If this is the case at least 
an error message with more information why to use firefox should be shown.
or mugshot should require firefox directly.
Comment 1 Simone Tolotti 2008-02-25 13:01:28 EST
I'm looking for a way to set another default browser than FF-2.0.
I'm actually using FF-30beta and have set as default browser in Gnome preferred
apps, other apps semmes to take care of this.
Mugshot rather ignores this and still open up FF-2.0.
Comment 2 Bug Zapper 2008-05-13 23:42:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Bug Zapper 2009-06-09 19:06:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 12:06:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.